Subject: [jose] Fwd: New Version Notification for draft-barnes-jose-key-wrapping-01.txt

From: Richard Barnes <[email-masked]>
Date: Tue, 7 May 2013 18:24:38 +0100

Revised proposal on key wrapping, incorporating feedback from the interim.
Comments welcome!
Thanks,
--Richard

---------- Forwarded message ----------
From: <[email-masked]>
Date: Mon, May 6, 2013 at 2:15 AM
Subject: New Version Notification for draft-barnes-jose-key-wrapping-01.txt
To: Richard Barnes <[email-masked]>

A new version of I-D, draft-barnes-jose-key-wrapping-01.txt
has been successfully submitted by Richard Barnes and posted to the
IETF repository.

Filename:        draft-barnes-jose-key-wrapping
Revision:        01
Title:           Proposed Refactoring of JOSE to Align Encryption and Key
Wrapping
Creation date:   2013-05-06
Group:           Individual Submission
Number of pages: 21
URL:
http://www.ietf.org/internet-drafts/draft-barnes-jose-key-wrapping-01.txt
Status:
http://datatracker.ietf.org/doc/draft-barnes-jose-key-wrapping
Htmlized:
http://tools.ietf.org/html/draft-barnes-jose-key-wrapping-01
Diff:
http://www.ietf.org/rfcdiff?url2=draft-barnes-jose-key-wrapping-01

Abstract:
   The discussions around key wrapping in the JOSE working group have
   raised new requirements for wrapped keys, namely: (1) Wrapping keys
   other than symmetric keys, (2) cryptographically binding attributes
   to keys, and (3) allowing the use of AEAD cryptographic algorithms
   for key wrapping (other than AES-KW).  This document proposes a
   refactoring of the JOSE document set that provides a cleaner
   conceptual structure for JWS / JWE and transparent support for
   wrapped keys, all with a relatively minor impact on the compact form
   of JWS and JWE objects.

The IETF Secretariat